CMSIS-NN: cmsis_nn_fc_params Struct Reference

| CMSIS-NN Version 3.1.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Groups Pages
Data Fields
cmsis_nn_fc_params Struct Reference

## Data Fields

int32_t | input_offset
int32_t | filter_offset
int32_t | output_offset
cmsis_nn_activation | activation

## Description

CMSIS-NN object for Fully Connected layer parameters

## Field Documentation

cmsis_nn_activation cmsis_nn_fc_params::activation

Referenced by arm_fully_connected_s16(), and arm_fully_connected_s8().

int32_t cmsis_nn_fc_params::filter_offset

Zero value for the filter tensor. Not used

Referenced by arm_fully_connected_s16(), and arm_fully_connected_s8().

int32_t cmsis_nn_fc_params::input_offset

Zero value for the input tensor

Referenced by arm_fully_connected_s8().

int32_t cmsis_nn_fc_params::output_offset

Zero value for the output tensor

Referenced by arm_fully_connected_s8().